datacache <- new.env(hash=TRUE, parent=emptyenv())

illuminaMousev1p1 <- function() showQCData("illuminaMousev1p1", datacache)
illuminaMousev1p1_dbconn <- function() dbconn(datacache)
illuminaMousev1p1_dbfile <- function() dbfile(datacache)
illuminaMousev1p1_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
illuminaMousev1p1_dbInfo <- function() dbInfo(datacache)

illuminaMousev1p1ORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "illuminaMousev1p1.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "illuminaMousev1p1", "chip illuminaMousev1p1", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(illuminaMousev1p1_dbconn())
}

